Thread: Android Edge Compatibility Question
View Single Post
Old 10-17-2010, 09:50 AM   #2
borisb
Edge User
 
I'm guessing almost any Android 1.6 phone, but I'm not familiar enough with models (and the version of Android they're using) to quote a specific model.